
Ruby - Bug #1881

[PATCH] Build Documentation for Kernel#gem and Gem

08/05/2009 01:14 AM - runpaint (Run Paint Run Run)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.9.2dev (2009-08-04 trunk 24388)

[i686-linux]

Backport:  

Description

=begin

The documentation for Kernel#gem (and by extension Gem) isn't being built. rdoc doesn't choke on it, and at the least we need

documentation for #gem, so the attached trivial patch adds 'rubygems.rb' to lib/.document.

=end

History

#1 - 08/18/2009 08:30 AM - runpaint (Run Paint Run Run)

=begin

rubygems.org has been typo-squatted, and rubygem.org doesn't resolve, so links to both should be removed from the RDoc before it's built.

=end

#2 - 08/18/2009 09:46 AM - drbrain (Eric Hodel)

=begin

It resolves to the standard web site for me, I think Chad let the registration slip for a day or two.

=end

#3 - 12/03/2009 12:58 AM - naruse (Yui NARUSE)

- Status changed from Open to Closed

=begin

=end
